FreeMat

- Main Page
- Related Pages

vtkTableToTreeFilter

Section: Visualization Toolkit Infovis Classes

# Usage

vtkTableToTreeFilter is a filter for converting a vtkTable data structure into a vtkTree datastructure. Currently, this will convert the table into a star, with each row of the table as a child of a new root node. The columns of the table are passed as node fields of the tree.

To create an instance of class vtkTableToTreeFilter, simply invoke its constructor as follows

      obj = vtkTableToTreeFilter

# Methods

The class vtkTableToTreeFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTableToTreeFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTableToTreeFilter = obj.NewInstance ()`
- `vtkTableToTreeFilter = obj.SafeDownCast (vtkObject o)`